Bug 963667 - GET metric/data ends up with NullPointer
GET metric/data ends up with NullPointer
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 06:56 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 05:53:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-05-16 06:56:25 EDT
Description of problem: If i do GET on /metric/data without any arguments, server returns 503 with message: 

java.lang.NullPointerException


Version-Release number of selected component (if applicable):
RHQ 4.8-master



Expected results: server returns 406 or similar error code


Additional info:
Comment 1 Heiko W. Rupp 2013-06-05 11:23:30 EDT
master f14fbc3a29e
Comment 2 Heiko W. Rupp 2013-09-11 05:53:45 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.